package cn.com.poc.law.rest;

import cn.com.poc.law.dto.*;
import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@Permission(Access.Safety)
public interface BizAiLawyerWritingTemplateDataRest extends BaseRest {

    BizAiLawyerWritingTemplateDataDto getById(java.lang.Integer id) throws Exception;

    List<BizAiLawyerWritingTemplateDataDto> getList(BizAiLawyerWritingTemplateDataDto example, PagingInfo pagingInfo) throws Exception;

    BizAiLawyerWritingTemplateDataDto save(BizAiLawyerWritingTemplateDataDto dto) throws Exception;

    BizAiLawyerWritingTemplateDataDto update(BizAiLawyerWritingTemplateDataDto dto) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    void updateTemplateData(@RequestBody SaveTemplateDataDto saveTemplateDataDto) throws Exception;

    String downloadTemplateData(@RequestParam Long recordId) throws Exception;

    TemplateDataDetailDto getTemplateDataDetail(@RequestParam String dialoguesId) throws Exception;
}